<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Session;
use Yajra\Datatables\Datatables;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;
use App\Model\Video;

class VideoController extends Controller
{
    
    public function __construct()
    {
        //$this->middleware('auth');
    }
	
	public function getvideo(Request $request)
    {
        $records = Video::query();
		$records = $records->paginate(10);
		$records->appends($request->all());
        $response['result'] = '1';
        $response['message'] = 'Success';
        $response['records'] = $records;
        return Response::json($response);
    }

}
